import { ACTIONS } from "../actions/index";
import { CommonReducer } from "../types";

const INITIAL_STATE: CommonReducer = {
  jobs: [],
  dialogAlert: null,
};

const commonReducer = (
  state = INITIAL_STATE,
  { type, payload }: { type: ACTIONS; payload: any }
): CommonReducer => {
  switch (type) {
    case ACTIONS.SET_JOBS:
      return { ...state, jobs: payload };

    case ACTIONS.SET_DIALOG:
      return { ...state, dialogAlert: payload };

    case ACTIONS.SIGN_OUT_USER:
      return INITIAL_STATE;

    default:
      return state;
  }
};

export default commonReducer;
