import React from "react";

const Avatar = ({
  url,
  name,
  size = "sm",
}: {
  url?: string;
  name: string;
  size?: "sm" | "md" | "lg";
}) => {
  if (url) return <img src={url} alt={name} className={`avatar img ${size}`} />;
  return <div className={`avatar ${size}`}>{name[0].toUpperCase()}</div>;
};

export default Avatar;
