import React, { CSSProperties } from "react";

type OwnProps = {
  progress?: number;
  style?: CSSProperties;
};

const Progress = ({ progress, style }: OwnProps) => {
  if (!progress || progress === 0) return null;
  return (
    <div className="progress mt-3" style={style}>
      <div
        className="progress-bar progress-bar-striped"
        style={{ width: `${progress}%` }}
      ></div>
    </div>
  );
};

export default Progress;
